diff -pruN 0.4.10-3/.gitlab-ci.yml 0.4.11-1/.gitlab-ci.yml
--- 0.4.10-3/.gitlab-ci.yml	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/.gitlab-ci.yml	2024-01-25 10:05:06.000000000 +0000
@@ -1,4 +1,4 @@
-image: gcc:6.3
+image: gcc:12
 
 before_script:
   - apt-get -q -m update || true
diff -pruN 0.4.10-3/.travis.yml 0.4.11-1/.travis.yml
--- 0.4.10-3/.travis.yml	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/.travis.yml	2024-01-25 10:05:06.000000000 +0000
@@ -19,6 +19,7 @@ matrix:
   include:
     ## distcheck
     - os: linux
+      dist: focal
       compiler: gcc
       env: CHECK="distcheck"
     ## Ubuntu 14.04 Trusty (beta), sudo required!
@@ -27,6 +28,18 @@ matrix:
       sudo: required
       compiler: gcc
       env: TRUSTY="yes" CHECK="normal"
+    ## Ubuntu 16.04 Xenial, sudo required!
+    - os: linux
+      dist: xenial
+      sudo: required
+      compiler: gcc
+      env: TRUSTY="yes" CHECK="normal"
+    ## Ubuntu 18.04 Bionic, sudo required!
+    - os: linux
+      dist: bionic
+      sudo: required
+      compiler: gcc
+      env: TRUSTY="yes" CHECK="normal"
     ## OSX
     - os: osx
       compiler: clang
diff -pruN 0.4.10-3/build-aux/yuck-scmver.c 0.4.11-1/build-aux/yuck-scmver.c
--- 0.4.10-3/build-aux/yuck-scmver.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/build-aux/yuck-scmver.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** yuck-scmver.c -- snarf versions off project cwds
  *
- * Copyright (C) 2013-2022 Sebastian Freundt
+ * Copyright (C) 2013-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/build-aux/yuck-scmver.h 0.4.11-1/build-aux/yuck-scmver.h
--- 0.4.10-3/build-aux/yuck-scmver.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/build-aux/yuck-scmver.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** yuck-version.h -- snarf versions off project cwds
  *
- * Copyright (C) 2013-2022 Sebastian Freundt
+ * Copyright (C) 2013-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/build-aux/yuck.c 0.4.11-1/build-aux/yuck.c
--- 0.4.10-3/build-aux/yuck.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/build-aux/yuck.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** yuck.c -- generate umbrella commands
  *
- * Copyright (C) 2013-2022 Sebastian Freundt
+ * Copyright (C) 2013-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/configure.ac 0.4.11-1/configure.ac
--- 0.4.10-3/configure.ac	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/configure.ac	2024-01-25 10:05:06.000000000 +0000
@@ -3,7 +3,7 @@ dnl Autoconf startup.
 dnl -------------------------------------------------------------------------
 
 AC_PREREQ([2.63])
-AC_INIT([dateutils], [0.4.10], [https://github.com/hroptatyr/dateutils/issues])
+AC_INIT([dateutils], [0.4.11], [https://github.com/hroptatyr/dateutils/issues])
 AC_CONFIG_AUX_DIR([build-aux])
 AC_CONFIG_HEADER([src/config.h])
 AC_CONFIG_MACRO_DIR([m4])
@@ -15,7 +15,7 @@ dnl ------------------------------------
 
 AC_COPYRIGHT([dnl
 #### Configuration script for dateutils and friends.
-#### Copyright (C) 2011-2022 Sebastian Freundt
+#### Copyright (C) 2011-2024 Sebastian Freundt
 
 ### Don't edit this script!
 ### This script was automatically generated by the `autoconf' program
diff -pruN 0.4.10-3/contrib/tzconv.c 0.4.11-1/contrib/tzconv.c
--- 0.4.10-3/contrib/tzconv.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/contrib/tzconv.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** tzconv.c -- convert matlab dates between timezones
  *
- * Copyright (C) 2013-2019 Sebastian Freundt
+ * Copyright (C) 2013-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/debian/changelog 0.4.11-1/debian/changelog
--- 0.4.10-3/debian/changelog	2023-11-05 17:36:25.000000000 +0000
+++ 0.4.11-1/debian/changelog	2024-05-06 15:54:11.000000000 +0000
@@ -1,3 +1,10 @@
+dateutils (0.4.11-1) unstable; urgency=medium
+
+  * New upstream release.
+  * debian/control: bump standard to 4.7.0 (no changes)
+
+ -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 May 2024 17:54:11 +0200
+
 dateutils (0.4.10-3) unstable; urgency=medium
 
   * debian/links: fix broken links (Closes: #1053745)
diff -pruN 0.4.10-3/debian/control 0.4.11-1/debian/control
--- 0.4.10-3/debian/control	2023-11-05 17:36:25.000000000 +0000
+++ 0.4.11-1/debian/control	2024-05-06 15:54:11.000000000 +0000
@@ -14,7 +14,7 @@ Build-Depends: gperf,
  tzdata,
  texinfo,
  autoconf-archive
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.fresse.org/dateutils
 Vcs-Browser: https://salsa.debian.org/alteholz/dateutils
 Vcs-Git: https://salsa.debian.org/alteholz/dateutils.git
diff -pruN 0.4.10-3/debian/copyright 0.4.11-1/debian/copyright
--- 0.4.10-3/debian/copyright	2023-11-05 17:36:25.000000000 +0000
+++ 0.4.11-1/debian/copyright	2024-05-06 15:54:11.000000000 +0000
@@ -35,7 +35,7 @@ License: BSD-3-clause
 Files: debian/*
 Copyright: 2010-2013 Sebastian Freundt
            2013-2014 Matt Fischer <mfisch@ubuntu.com>
-           2017-2023 Thorsten Alteholz <debian@alteholz.de>
+           2017-2024 Thorsten Alteholz <debian@alteholz.de>
 License: GPL-2+
  This package is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
diff -pruN 0.4.10-3/debian/patches/series 0.4.11-1/debian/patches/series
--- 0.4.10-3/debian/patches/series	2023-11-05 17:36:25.000000000 +0000
+++ 0.4.11-1/debian/patches/series	2024-05-06 15:54:11.000000000 +0000
@@ -1,6 +1,6 @@
 0001-do-not-use-march-native-compiler-flags.diff
 0002-reproducible-build.diff
 #build fails with this patch: 0004-cross.patch
-0005-a-fix-for-dzone.008.patch
-0005-b-use-jakarta-instead-of-singapore-in-dzone.008.patch
+#applied upstream: 0005-a-fix-for-dzone.008.pa tch
+#applied upstream: 0005-b-use-jakarta-instead-of-singapore-in-dzone.008.pa tch
 0006-buenos-aires-in-dzone.013.patch
diff -pruN 0.4.10-3/info/Makefile.am 0.4.11-1/info/Makefile.am
--- 0.4.10-3/info/Makefile.am	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/info/Makefile.am	2024-01-25 10:05:06.000000000 +0000
@@ -1,5 +1,5 @@
 # Help the Developers and yourself.  Just use the C locale and settings
-# for the compilation. They can still be overriden by make LANG=<whatever>
+# for the compilation. They can still be overridden by make LANG=<whatever>
 # but that is general a not very good idea
 LANG=C
 LC_ALL=C
diff -pruN 0.4.10-3/lib/bizda.c 0.4.11-1/lib/bizda.c
--- 0.4.10-3/lib/bizda.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/bizda.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** bizda.c -- guts for bizda dates
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/boops.h 0.4.11-1/lib/boops.h
--- 0.4.10-3/lib/boops.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/boops.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** boops.h -- byte-order operations
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  * Copyright (C) 2012 Ruediger Meier
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
diff -pruN 0.4.10-3/lib/daisy.c 0.4.11-1/lib/daisy.c
--- 0.4.10-3/lib/daisy.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/daisy.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** daisy.c -- guts for daisy dates
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -201,6 +201,51 @@ __mdn_to_daisy(dt_mdn_t d)
 DEFUN __attribute__((const)) dt_ymd_t
 __daisy_to_ymd(dt_daisy_t that)
 {
+#if 1
+/* cassio neri eaf */
+#define s	(82U)
+#define K	(584693U + 146097U * s)
+#define L	(400U * s)
+	if (UNLIKELY(that == 0 || that > 910674U)) {
+		return (dt_ymd_t){.u = 0};
+	} else {
+		const unsigned int N = that + K;
+
+		/* century */
+		const unsigned int N_1 = 4U * N + 3U;
+		const unsigned int C = N_1 / 146097U;
+		const unsigned int N_C = N_1 % 146097U / 4U;
+
+		/* year */
+		const unsigned int N_2 = 4U * N_C + 3U;
+		const uint64_t P_2 = (uint64_t)2939745ULL * (uint64_t)N_2;
+		const unsigned int Z = (unsigned int)(P_2 / 4294967296ULL);
+		const unsigned int N_Y = (unsigned int)(P_2 % 4294967296ULL) / 2939745U / 4U;
+		const unsigned int Y = 100U * C + Z;
+
+		/* month and day */
+		const unsigned int N_3 = 2141U * N_Y + 197913U;
+		const unsigned int M = N_3 / 65536U;
+		const unsigned int D = N_3 % 65536U / 2141U;
+
+		/* year correction */
+		const unsigned int J = N_Y >= 306U;
+#if defined HAVE_ANON_STRUCTS_INIT
+		return (dt_ymd_t){.y = Y - L + J, .m = J ? M - 12 : M, .d = D + 1};
+#else  /* !HAVE_ANON_STRUCTS_INIT */
+		{
+			dt_ymd_t res;
+			res.y = Y - L + J;
+			res.m = J ? M - 12 : M;
+			res.d = D + 1;
+			return res;
+		}
+#endif	/* HAVE_ANON_STRUCTS_INIT */
+	}
+#undef s
+#undef K
+#undef L
+#else
 	dt_daisy_t j00;
 	unsigned int doy;
 	unsigned int y;
@@ -225,6 +270,7 @@ __daisy_to_ymd(dt_daisy_t that)
 		return res;
 	}
 #endif	/* HAVE_ANON_STRUCTS_INIT */
+#endif
 }
 
 static __attribute__((const)) dt_ymcw_t
diff -pruN 0.4.10-3/lib/date-core-private.h 0.4.11-1/lib/date-core-private.h
--- 0.4.10-3/lib/date-core-private.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/date-core-private.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** date-core-private.h -- our universe of dates, private bits
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/date-core-strpf.c 0.4.11-1/lib/date-core-strpf.c
--- 0.4.10-3/lib/date-core-strpf.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/date-core-strpf.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** date-core-strpf.c -- parser and formatter funs for date-core
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -316,12 +316,22 @@ __strpd_card(struct strpd_s *d, const ch
 				dut_long_mon, dut_nlong_mon);
 			break;
 		case DT_SPMOD_ABBR: {
+#if 0
+/* branchless version but no error handling */
+			int r = *sp++ - 'E';
+			r -= (r >> 2);
+			r -= (r >= 12) << 1;
+			r -= (r > 8);
+			r -= (r >= 12);
+			d->m = r;
+#else
 			const char *pos;
 			if ((pos = strchr(dut_abab_mon, *sp++)) != NULL) {
 				d->m = pos - dut_abab_mon;
 			} else {
 				d->m = -1;
 			}
+#endif
 			break;
 		}
 		case DT_SPMOD_ILL:
diff -pruN 0.4.10-3/lib/date-core-strpf.h 0.4.11-1/lib/date-core-strpf.h
--- 0.4.10-3/lib/date-core-strpf.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/date-core-strpf.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** date-core-strpf.h -- parser and formatter funs for date-core
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/date-core.c 0.4.11-1/lib/date-core.c
--- 0.4.10-3/lib/date-core.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/date-core.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** date-core.c -- our universe of dates
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -105,7 +105,7 @@ struct __md_s {
 /* bizda definitions, reference dates */
 static __attribute__((unused)) const char *bizda_ult[] = {"ultimo", "ult"};
 
-/* arithmetics helpers */
+/* arithmetic helpers */
 static inline unsigned int
 __uimod(signed int x, signed int m)
 {
diff -pruN 0.4.10-3/lib/date-core.h 0.4.11-1/lib/date-core.h
--- 0.4.10-3/lib/date-core.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/date-core.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** date-core.h -- our universe of dates
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/dt-core-private.h 0.4.11-1/lib/dt-core-private.h
--- 0.4.10-3/lib/dt-core-private.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/dt-core-private.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dt-core-private.h -- our universe of datetimes, private bits
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/dt-core-strpf.c 0.4.11-1/lib/dt-core-strpf.c
--- 0.4.10-3/lib/dt-core-strpf.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/dt-core-strpf.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dt-core-strpf.c -- parser and formatter funs for dt-core
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/dt-core-strpf.h 0.4.11-1/lib/dt-core-strpf.h
--- 0.4.10-3/lib/dt-core-strpf.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/dt-core-strpf.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dt-core-strpf.h -- parser and formatter funs for dt-core
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/dt-core-tz-glue.c 0.4.11-1/lib/dt-core-tz-glue.c
--- 0.4.10-3/lib/dt-core-tz-glue.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/dt-core-tz-glue.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dt-core-tz-glue.c -- gluing date/times and tzs
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/dt-core-tz-glue.h 0.4.11-1/lib/dt-core-tz-glue.h
--- 0.4.10-3/lib/dt-core-tz-glue.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/dt-core-tz-glue.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dt-core-tz-glue.h -- glue between tzraw and dt-core
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/dt-core.c 0.4.11-1/lib/dt-core.c
--- 0.4.10-3/lib/dt-core.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/dt-core.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dt-core.c -- our universe of datetimes
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/dt-core.h 0.4.11-1/lib/dt-core.h
--- 0.4.10-3/lib/dt-core.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/dt-core.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dt-core.h -- our universe of datetimes
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/dt-locale.c 0.4.11-1/lib/dt-locale.c
--- 0.4.10-3/lib/dt-locale.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/dt-locale.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** locale.c -- locale light
  *
- * Copyright (C) 2015-2022 Sebastian Freundt
+ * Copyright (C) 2015-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/dt-locale.h 0.4.11-1/lib/dt-locale.h
--- 0.4.10-3/lib/dt-locale.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/dt-locale.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** locale.h -- locale light
  *
- * Copyright (C) 2015-2022 Sebastian Freundt
+ * Copyright (C) 2015-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/generics.h 0.4.11-1/lib/generics.h
--- 0.4.10-3/lib/generics.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/generics.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** generics.h -- type invariant generic funs
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/leaps.c 0.4.11-1/lib/leaps.c
--- 0.4.10-3/lib/leaps.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/leaps.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** leaps.c -- materialised leap seconds
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/leaps.h 0.4.11-1/lib/leaps.h
--- 0.4.10-3/lib/leaps.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/leaps.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** leaps.h -- materialised leap seconds
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/ltrcc.c 0.4.11-1/lib/ltrcc.c
--- 0.4.10-3/lib/ltrcc.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/ltrcc.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** ltrcc.c -- leapseconds materialiser
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/nifty.h 0.4.11-1/lib/nifty.h
--- 0.4.10-3/lib/nifty.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/nifty.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** nifty.h -- generally handy macroes
  *
- * Copyright (C) 2009-2022 Sebastian Freundt
+ * Copyright (C) 2009-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/strops.c 0.4.11-1/lib/strops.c
--- 0.4.10-3/lib/strops.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/strops.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** strops.c -- useful string operations
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/strops.h 0.4.11-1/lib/strops.h
--- 0.4.10-3/lib/strops.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/strops.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** strops.h -- useful string operations
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/time-core-private.h 0.4.11-1/lib/time-core-private.h
--- 0.4.10-3/lib/time-core-private.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/time-core-private.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** time-core-private.h -- our universe of times, private bits
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/time-core-strpf.c 0.4.11-1/lib/time-core-strpf.c
--- 0.4.10-3/lib/time-core-strpf.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/time-core-strpf.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** time-core-strpf.c -- parser and formatter funs for time-core
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/time-core-strpf.h 0.4.11-1/lib/time-core-strpf.h
--- 0.4.10-3/lib/time-core-strpf.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/time-core-strpf.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** time-core-strpf.h -- parser and formatter funs for time-core
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/time-core.c 0.4.11-1/lib/time-core.c
--- 0.4.10-3/lib/time-core.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/time-core.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** time-core.c -- our universe of times
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -208,7 +208,7 @@ dt_strft(char *restrict buf, size_t bsz,
 	return bp - buf;
 }
 
-/* arithmetics helpers */
+/* arithmetic helpers */
 struct divrem_s {
 	signed int div;
 	unsigned int rem;
diff -pruN 0.4.10-3/lib/time-core.h 0.4.11-1/lib/time-core.h
--- 0.4.10-3/lib/time-core.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/time-core.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** time-core.h -- our universe of times
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/token.c 0.4.11-1/lib/token.c
--- 0.4.10-3/lib/token.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/token.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** token.c -- tokeniser specs and stuff
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/token.h 0.4.11-1/lib/token.h
--- 0.4.10-3/lib/token.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/token.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** token.h -- tokeniser specs and stuff
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/tzmap.c 0.4.11-1/lib/tzmap.c
--- 0.4.10-3/lib/tzmap.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/tzmap.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** tzmap.c -- zonename maps
  *
- * Copyright (C) 2014-2022 Sebastian Freundt
+ * Copyright (C) 2014-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/tzmap.h 0.4.11-1/lib/tzmap.h
--- 0.4.10-3/lib/tzmap.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/tzmap.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** tzmap.h -- zonename maps
  *
- * Copyright (C) 2014-2022 Sebastian Freundt
+ * Copyright (C) 2014-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/tzraw.c 0.4.11-1/lib/tzraw.c
--- 0.4.10-3/lib/tzraw.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/tzraw.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** tzraw.c -- reader for olson database zoneinfo files
  *
- * Copyright (C) 2009-2022 Sebastian Freundt
+ * Copyright (C) 2009-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -702,7 +702,7 @@ main(int argc, char *argv[])
 		printf("  nlp\t%zu\n", z->nlp);
 
 		for (size_t j = 0U; j < z->ntr; j++) {
-			printf("    tr[%zu]\t%ld\t%hhu\n", j, z->trs[j], z->tys[j]);
+			printf("    tr[%zu]\t%lld\t%hhu\n", j, z->trs[j], z->tys[j]);
 		}
 		for (size_t j = 0U; j < z->nty; j++) {
 			printf("    of[%zu]\t%d\n", j, z->ofs[j]);
diff -pruN 0.4.10-3/lib/tzraw.h 0.4.11-1/lib/tzraw.h
--- 0.4.10-3/lib/tzraw.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/tzraw.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** tzraw.h -- reader for olson database zoneinfo files
  *
- * Copyright (C) 2009-2022 Sebastian Freundt
+ * Copyright (C) 2009-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/yd.c 0.4.11-1/lib/yd.c
--- 0.4.10-3/lib/yd.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/yd.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** yd.c -- guts for yd dates that consist of a year and a year-day
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -249,7 +249,7 @@ static inline __attribute__((pure)) dt_d
 __get_jan01_wday(unsigned int year)
 {
 /* get the weekday of jan01 in YEAR
- * using the 28y cycle thats valid till the year 2399
+ * using the 28y cycle that's valid till the year 2399
  * 1920 = 16 mod 28 */
 #if !defined WITH_FAST_ARITH
 	if (UNLIKELY(year > 2100U ||
@@ -273,7 +273,7 @@ static inline __attribute__((const)) dt_
 __get_jan01_wday(unsigned int year)
 {
 /* get the weekday of jan01 in YEAR
- * using the 28y cycle thats valid till the year 2399
+ * using the 28y cycle that's valid till the year 2399
  * 1920 = 16 mod 28
  * switch variant */
 # define M	(DT_MONDAY)
diff -pruN 0.4.10-3/lib/ymcw.c 0.4.11-1/lib/ymcw.c
--- 0.4.10-3/lib/ymcw.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/ymcw.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** ymcw.c -- guts for ymcw dates
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/lib/ymd.c 0.4.11-1/lib/ymd.c
--- 0.4.10-3/lib/ymd.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/ymd.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** ymd.c -- guts for ymd dates
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -504,6 +504,28 @@ static dt_daisy_t
 __ymd_to_daisy(dt_ymd_t d)
 {
 	dt_daisy_t res;
+#if 1
+/* cassio neri eaf */
+#define s	(82U)
+#define K	(584693U + 146097U * s)
+#define L	(400U * s)
+	const unsigned int J = d.m <= 2;
+	const unsigned int Y = (uint32_t)(d.y + L) - J;
+	const unsigned int M = J ? d.m + 12U : d.m;
+	const unsigned int D = d.d - 1U;
+	const unsigned int C = Y / 100U;
+
+	/* Rata die.*/
+	const unsigned int y_star = 1461U * Y / 4U - C + C / 4U;
+	const unsigned int m_star = (979U * M - 2919U) / 32U;
+	res = y_star + m_star + D;
+
+	/* shift */
+	res -= K;
+#undef s
+#undef K
+#undef L
+#else
 	unsigned int sy = d.y;
 	unsigned int sm = d.m;
 	unsigned int sd;
@@ -526,6 +548,7 @@ __ymd_to_daisy(dt_ymd_t d)
 
 	res = __jan00_daisy(sy);
 	res += __md_get_yday(sy, sm, sd);
+#endif
 	return res;
 }
 
@@ -680,8 +703,18 @@ __ymd_diff(dt_ymd_t d1, dt_ymd_t d2)
 			d2m = GREG_MONTHS_P_YEAR;
 			d2y--;
 		}
-		tgtd += __get_mdays(d2y, d2m);
 		tgtm--;
+		if (UNLIKELY((tgtd += __get_mdays(d2y, d2m)) < 0)) {
+			/* super special case when d2m is feb and the
+			 * difference is >= 28 or 29,
+			 * unrolled because it cannot happen again */
+			if (--d2m < 1) {
+				d2m = GREG_MONTHS_P_YEAR;
+				d2y--;
+			}
+			tgtm--;
+			tgtd += __get_mdays(d2y, d2m);
+		}
 #if !defined WITH_FAST_ARITH || defined OMIT_FIXUPS
 		/* the non-fast arith has done the fixup already */
 #else  /* WITH_FAST_ARITH && !defined OMIT_FIXUPS */
diff -pruN 0.4.10-3/lib/ywd.c 0.4.11-1/lib/ywd.c
--- 0.4.10-3/lib/ywd.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/lib/ywd.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** ywd.c -- guts for ywd dates
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -495,7 +495,7 @@ __make_ywd_c(unsigned int y, unsigned in
 			;
 		} else if (hang > 0 && u < DT_SUNDAY && u < j01) {
 			/* n-th W in the year is n-th week,
-			 * in this case the year doesnt start on sunday */
+			 * in this case the year doesn't start on sunday */
 			;
 		} else if (hang <= 0 && (u >= j01 || u == DT_SUNDAY)) {
 			/* n-th W in the year is n-th week */
diff -pruN 0.4.10-3/m4/ax_zoneinfo.m4 0.4.11-1/m4/ax_zoneinfo.m4
--- 0.4.10-3/m4/ax_zoneinfo.m4	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/m4/ax_zoneinfo.m4	2024-01-25 10:05:06.000000000 +0000
@@ -113,6 +113,8 @@ AC_DEFUN([AX_ZONEINFO_TZDIR], [dnl
 	TZDIR_cand="${TZDIR_cand} \
 /usr/share/zoneinfo \
 /usr/lib/zoneinfo \
+/etc/zoneinfo \
+/share/zoneinfo \
 /usr/local/etc/zoneinfo \
 /usr/share/lib/zoneinfo \
 "
diff -pruN 0.4.10-3/src/alist.c 0.4.11-1/src/alist.c
--- 0.4.10-3/src/alist.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/alist.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** alist.c -- bog standard associative lists
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/src/alist.h 0.4.11-1/src/alist.h
--- 0.4.10-3/src/alist.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/alist.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** alist.h -- bog standard associative lists
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/src/dadd.c 0.4.11-1/src/dadd.c
--- 0.4.10-3/src/dadd.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dadd.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dadd.c -- perform simple date arithmetic, date plus duration
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -264,11 +264,19 @@ main(int argc, char *argv[])
 	}
 
 	/* try and read the from and to time zones */
-	if (argi->from_zone_arg) {
-		fromz = dt_io_zone(argi->from_zone_arg);
+	if (argi->from_zone_arg &&
+	    (fromz = dt_io_zone(argi->from_zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --from-zone: `%s'", argi->from_zone_arg);
+		rc = 1;
+		goto clear;
 	}
-	if (argi->zone_arg) {
-		z = dt_io_zone(argi->zone_arg);
+	if (argi->zone_arg &&
+	    (z = dt_io_zone(argi->zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --zone: `%s'", argi->zone_arg);
+		rc = 1;
+		goto clear;
 	}
 	if (argi->base_arg) {
 		struct dt_dt_s base = dt_strpdt(argi->base_arg, NULL, NULL);
diff -pruN 0.4.10-3/src/dconv.c 0.4.11-1/src/dconv.c
--- 0.4.10-3/src/dconv.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dconv.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dconv.c -- convert calendrical and time stamp systems
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -144,11 +144,19 @@ main(int argc, char *argv[])
 	}
 
 	/* try and read the from and to time zones */
-	if (argi->from_zone_arg) {
-		fromz = dt_io_zone(argi->from_zone_arg);
+	if (argi->from_zone_arg &&
+	    (fromz = dt_io_zone(argi->from_zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --from-zone: `%s'", argi->from_zone_arg);
+		rc = 1;
+		goto clear;
 	}
-	if (argi->zone_arg) {
-		z = dt_io_zone(argi->zone_arg);
+	if (argi->zone_arg &&
+	    (z = dt_io_zone(argi->zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --zone: `%s'", argi->zone_arg);
+		rc = 1;
+		goto clear;
 	}
 	if (argi->base_arg) {
 		struct dt_dt_s base = dt_strpdt(argi->base_arg, NULL, NULL);
diff -pruN 0.4.10-3/src/ddiff.c 0.4.11-1/src/ddiff.c
--- 0.4.10-3/src/ddiff.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/ddiff.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** ddiff.c -- perform simple date arithmetic, date minus date
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -675,8 +675,12 @@ main(int argc, char *argv[])
 	}
 
 	/* try and read the from and to time zones */
-	if (argi->from_zone_arg) {
-		fromz = dt_io_zone(argi->from_zone_arg);
+	if (argi->from_zone_arg &&
+	    (fromz = dt_io_zone(argi->from_zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --from-zone: `%s'", argi->from_zone_arg);
+		rc = 1;
+		goto clear;
 	}
 	if (argi->base_arg) {
 		struct dt_dt_s base = dt_strpdt(argi->base_arg, NULL, NULL);
@@ -791,6 +795,7 @@ main(int argc, char *argv[])
 		free_prchunk(pctx);
 	}
 
+clear:
 	dt_io_clear_zones();
 	if (argi->from_locale_arg) {
 		setilocale(NULL);
diff -pruN 0.4.10-3/src/dgrep.c 0.4.11-1/src/dgrep.c
--- 0.4.10-3/src/dgrep.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dgrep.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dgrep.c -- grep for lines with dates
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -130,10 +130,12 @@ main(int argc, char *argv[])
 	size_t nfmt;
 	dexpr_t root;
 	oper_t o = OP_UNK;
-	int res = 0;
+	zif_t fromz = NULL;
+	zif_t z = NULL;
+	int rc = 0;
 
 	if (yuck_parse(argi, argc, argv)) {
-		res = 1;
+		rc = 1;
 		goto out;
 	}
 
@@ -166,13 +168,13 @@ main(int argc, char *argv[])
 	/* parse the expression */
 	if (argi->nargs == 0U || 
 	    dexpr_parse(&root, argi->args[0U], strlen(argi->args[0U])) < 0) {
-		res = 1;
+		rc = 1;
 		error("Error: need an expression to grep");
 		goto out;
 	}
 	/* fixup o, default is OP_EQ */
 	if (o != OP_UNK && root->type != DEX_VAL) {
-		res = 1;
+		rc = 1;
 		error("\
 long opt operators (--lt, --gt, ...) cannot be used in conjunction \n\
 with complex expressions");
@@ -185,6 +187,20 @@ with complex expressions");
 	if (argi->from_locale_arg) {
 		setilocale(argi->from_locale_arg);
 	}
+	if (argi->from_zone_arg &&
+	    (fromz = dt_io_zone(argi->from_zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --from-zone: `%s'", argi->from_zone_arg);
+		rc = 1;
+		goto clear;
+	}
+	if (argi->zone_arg &&
+	    (z = dt_io_zone(argi->zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --zone: `%s'", argi->zone_arg);
+		rc = 1;
+		goto clear;
+	}
 
 	/* otherwise bring dexpr to normal form */
 	dexpr_simplify(root);
@@ -199,8 +215,8 @@ with complex expressions");
 		struct prln_ctx_s prln = {
 			.ndl = &ndlsoa,
 			.root = root,
-			.fromz = dt_io_zone(argi->from_zone_arg),
-			.z = dt_io_zone(argi->zone_arg),
+			.fromz = fromz,
+			.z = z,
 			.only_matching_p = argi->only_matching_flag,
 			.invert_match_p = argi->invert_match_flag,
 		};
@@ -236,6 +252,7 @@ with complex expressions");
 			free(needle);
 		}
 	}
+clear:
 	/* resource freeing */
 	free_dexpr(root);
 	dt_io_clear_zones();
@@ -244,7 +261,7 @@ with complex expressions");
 	}
 out:
 	yuck_free(argi);
-	return res;
+	return rc;
 }
 
 /* dgrep.c ends here */
diff -pruN 0.4.10-3/src/dround.c 0.4.11-1/src/dround.c
--- 0.4.10-3/src/dround.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dround.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dround.c -- perform simple date arithmetic, round to duration
  *
- * Copyright (C) 2012-2022 Sebastian Freundt
+ * Copyright (C) 2012-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -863,11 +863,19 @@ main(int argc, char *argv[])
 	}
 
 	/* try and read the from and to time zones */
-	if (argi->from_zone_arg) {
-		fromz = dt_io_zone(argi->from_zone_arg);
+	if (argi->from_zone_arg &&
+	    (fromz = dt_io_zone(argi->from_zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --from-zone: `%s'", argi->from_zone_arg);
+		rc = 1;
+		goto clear;
 	}
-	if (argi->zone_arg) {
-		z = dt_io_zone(argi->zone_arg);
+	if (argi->zone_arg &&
+	    (z = dt_io_zone(argi->zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --zone: `%s'", argi->zone_arg);
+		rc = 1;
+		goto clear;
 	}
 	if (argi->next_flag) {
 		nextp = true;
@@ -923,21 +931,21 @@ cannot parse duration/rounding string `%
 					}
 					break;
 				case DT_DURMO:
-					/* make a millenium the next milestone */
+					/* make a millennium the next milestone */
 					if (!LAST_DUR.d.dv ||
 					    12000 % LAST_DUR.d.dv) {
 						goto nococl;
 					}
 					break;
 				case DT_DURQU:
-					/* make a millenium the next milestone */
+					/* make a millennium the next milestone */
 					if (!LAST_DUR.d.dv ||
 					    4000 % LAST_DUR.d.dv) {
 						goto nococl;
 					}
 					break;
 				case DT_DURYR:
-					/* make a millenium the next milestone */
+					/* make a millennium the next milestone */
 					if (!LAST_DUR.d.dv ||
 					    1000 % LAST_DUR.d.dv) {
 						goto nococl;
diff -pruN 0.4.10-3/src/dround.yuck 0.4.11-1/src/dround.yuck
--- 0.4.10-3/src/dround.yuck	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dround.yuck	2024-01-25 10:05:06.000000000 +0000
@@ -48,7 +48,7 @@ that is less (older) than the specified
     will yield  2019-01-28T12:00:00
 
 The superdivision of years are millennia, i.e. there's 1000 years,
-500 biennia, 100 decades, etc. in a millenium.
+500 biennia, 100 decades, etc. in a millennium.
 
 
 Multiple RNDSPECs are evaluated left to right.
diff -pruN 0.4.10-3/src/dseq.c 0.4.11-1/src/dseq.c
--- 0.4.10-3/src/dseq.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dseq.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dseq.c -- like seq(1) but for dates
  *
- * Copyright (C) 2009 - 2022 Sebastian Freundt
+ * Copyright (C) 2009 - 2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/src/dsort.c 0.4.11-1/src/dsort.c
--- 0.4.10-3/src/dsort.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dsort.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dsort.c -- sort FILEs or stdin chronologically
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -268,8 +268,12 @@ main(int argc, char *argv[])
 		setilocale(argi->from_locale_arg);
 	}
 	/* try and read the from and to time zones */
-	if (argi->from_zone_arg) {
-		fromz = dt_io_zone(argi->from_zone_arg);
+	if (argi->from_zone_arg &&
+	    (fromz = dt_io_zone(argi->from_zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --from-zone: `%s'", argi->from_zone_arg);
+		rc = 1;
+		goto clear;
 	}
 	if (argi->base_arg) {
 		struct dt_dt_s base = dt_strpdt(argi->base_arg, NULL, NULL);
@@ -345,6 +349,7 @@ main(int argc, char *argv[])
 		}
 	}
 
+clear:
 	dt_io_clear_zones();
 	if (argi->from_locale_arg) {
 		setilocale(NULL);
diff -pruN 0.4.10-3/src/dt-io-zone.c 0.4.11-1/src/dt-io-zone.c
--- 0.4.10-3/src/dt-io-zone.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dt-io-zone.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dt-io-zone.c -- abstract from raw zone interface
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -38,6 +38,7 @@
 # include "config.h"
 #endif	/* HAVE_CONFIG_H */
 #include <string.h>
+#include <sys/stat.h>
 #include "tzmap.h"
 #include "dt-io.h"
 #include "dt-io-zone.h"
@@ -135,6 +136,27 @@ __io_zone(const char *spec)
 	return res;
 }
 
+static char*
+__local(void)
+{
+	static char tzmfn[PATH_MAX];
+
+	if (!*tzmfn) {
+		struct stat st;
+
+		if (!stat("/etc/localtime", &st)) {
+			memcpy(tzmfn, "/etc/localtime", 14L);
+			goto gothim;
+		}
+		/* check /etc/timezone?
+		 * check /var/db/timezone?
+		 * check /etc/sysconfig/clock? */
+		return NULL;
+	}
+gothim:
+	return tzmfn;
+}
+
 zif_t
 dt_io_zone(const char *spec)
 {
@@ -167,6 +189,10 @@ Set TZMAP_DIR environment variable to wh
 		if ((spec = tzm_find(tzm, ++p)) == NULL) {
 			return NULL;
 		}
+	} else if (!strcmp(spec, "localtime")) {
+		if ((spec = __local()) == NULL) {
+			return NULL;
+		}
 	}
 	return __io_zone(spec);
 }
diff -pruN 0.4.10-3/src/dt-io-zone.h 0.4.11-1/src/dt-io-zone.h
--- 0.4.10-3/src/dt-io-zone.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dt-io-zone.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dt-io-zone.h -- abstract from raw zone interface
  *
- * Copyright (C) 2009-2022 Sebastian Freundt
+ * Copyright (C) 2009-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/src/dt-io.c 0.4.11-1/src/dt-io.c
--- 0.4.10-3/src/dt-io.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dt-io.c	2024-01-25 10:05:06.000000000 +0000
@@ -534,7 +534,7 @@ calc_grep_atom(const char *fmt)
 post_snarf:
 	if (res.needle == 0 && (res.pl.off_min || res.pl.off_max)) {
 		if ((res.pl.flags & ~(GRPATM_DIGITS | GRPATM_ORDINALS)) == 0) {
-			/* ah, only digits, thats good */
+			/* ah, only digits, that's good */
 			int8_t tmp = (int8_t)-res.pl.off_min;
 
 			/* swap-invert min and max */
diff -pruN 0.4.10-3/src/dtest.c 0.4.11-1/src/dtest.c
--- 0.4.10-3/src/dtest.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dtest.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dtest.c -- like test(1) but for dates
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -62,24 +62,28 @@ main(int argc, char *argv[])
 	size_t nifmt;
 	struct dt_dt_s d1, d2;
 	zif_t fromz = NULL;
-	int res = 0;
+	int rc = 0;
 
 	if (yuck_parse(argi, argc, argv)) {
-		res = 2;
+		rc = 2;
 		goto out;
 	}
 
 
 	if (argi->nargs != 1U + !argi->isvalid_flag) {
 		yuck_auto_help(argi);
-		res = 2;
+		rc = 2;
 		goto out;
 	}
 	if (argi->from_locale_arg) {
 		setilocale(argi->from_locale_arg);
 	}
-	if (argi->from_zone_arg) {
-		fromz = dt_io_zone(argi->from_zone_arg);
+	if (argi->from_zone_arg &&
+	    (fromz = dt_io_zone(argi->from_zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --from-zone: `%s'", argi->from_zone_arg);
+		rc = 1;
+		goto clear;
 	}
 	if (argi->base_arg) {
 		struct dt_dt_s base = dt_strpdt(argi->base_arg, NULL, NULL);
@@ -91,64 +95,76 @@ main(int argc, char *argv[])
 
 	if (argi->isvalid_flag) {
 		/* check that one date */
-		res = dt_unk_p(dt_io_strpdt(*argi->args, ifmt, nifmt, fromz));
+		char *ep = NULL;
+
+		rc = nifmt > 0U ||
+			dt_unk_p(dt_strpdt(*argi->args, NULL, &ep)) ||
+			ep == NULL || *ep;
+		for (size_t i = 0; i < nifmt; i++, ep = NULL) {
+			if (!dt_unk_p(dt_strpdt(*argi->args, ifmt[i], &ep)) &&
+			    ep && !*ep) {
+				rc = 0;
+				break;
+			}
+		}
 		goto out;
 	}
 	if (dt_unk_p(d1 = dt_io_strpdt(argi->args[0U], ifmt, nifmt, fromz))) {
 		if (!argi->quiet_flag) {
 			dt_io_warn_strpdt(argi->args[0U]);
 		}
-		res = 2;
+		rc = 2;
 		goto out;
 	}
 	if (dt_unk_p(d2 = dt_io_strpdt(argi->args[1U], ifmt, nifmt, fromz))) {
 		if (!argi->quiet_flag) {
 			dt_io_warn_strpdt(argi->args[1U]);
 		}
-		res = 2;
+		rc = 2;
 		goto out;
 	}
 
 	/* just do the comparison */
-	if ((res = dt_dtcmp(d1, d2)) == -2) {
+	if ((rc = dt_dtcmp(d1, d2)) == -2) {
 		/* non-comparable */
-		res = 3;
+		rc = 3;
 	} else if (argi->cmp_flag) {
-		switch (res) {
+		switch (rc) {
 		case 0:
-			res = 0;
+			rc = 0;
 			break;
 		case -1:
-			res = 2;
+			rc = 2;
 			break;
 		case 1:
-			res = 1;
+			rc = 1;
 			break;
 		default:
-			res = 3;
+			rc = 3;
 			break;
 		}
 	} else if (argi->eq_flag) {
-		res = res == 0 ? 0 : 1;
+		rc = rc == 0 ? 0 : 1;
 	} else if (argi->ne_flag) {
-		res = res != 0 ? 0 : 1;
+		rc = rc != 0 ? 0 : 1;
 	} else if (argi->lt_flag || argi->ot_flag) {
-		res = res == -1 ? 0 : 1;
+		rc = rc == -1 ? 0 : 1;
 	} else if (argi->le_flag) {
-		res = res == -1 || res == 0 ? 0 : 1;
+		rc = rc == -1 || rc == 0 ? 0 : 1;
 	} else if (argi->gt_flag || argi->nt_flag) {
-		res = res == 1 ? 0 : 1;
+		rc = rc == 1 ? 0 : 1;
 	} else if (argi->ge_flag) {
-		res = res == 1 || res == 0 ? 0 : 1;
+		rc = rc == 1 || rc == 0 ? 0 : 1;
 	}
-out:
+clear:
 	dt_io_clear_zones();
 	if (argi->from_locale_arg) {
 		setilocale(NULL);
 	}
 
+out:
 	yuck_free(argi);
-	return res;
+	return rc;
 }
 
 /* dtest.c ends here */
diff -pruN 0.4.10-3/src/dzone.c 0.4.11-1/src/dzone.c
--- 0.4.10-3/src/dzone.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/dzone.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** dzone.c -- convert date/times between timezones
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -248,8 +248,12 @@ main(int argc, char *argv[])
 	}
 
 	/* try and read the from and to time zones */
-	if (argi->from_zone_arg) {
-		fromz = dt_io_zone(argi->from_zone_arg);
+	if (argi->from_zone_arg &&
+	    (fromz = dt_io_zone(argi->from_zone_arg)) == NULL) {
+		error("\
+Error: cannot find zone specified in --from-zone: `%s'", argi->from_zone_arg);
+		rc = 1;
+		goto clear;
 	}
 	trnsp = argi->next_flag || argi->prev_flag;
 
@@ -343,7 +347,7 @@ nor a date/time corresponding to the giv
 		}
 	}
 
-out:
+clear:
 	/* release the zones */
 	dt_io_clear_zones();
 	/* release those arrays */
@@ -358,6 +362,7 @@ out:
 		setilocale(NULL);
 	}
 
+out:
 	yuck_free(argi);
 	return rc;
 }
diff -pruN 0.4.10-3/src/prchunk.c 0.4.11-1/src/prchunk.c
--- 0.4.10-3/src/prchunk.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/prchunk.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** prchunk.c -- guessing line oriented data formats
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/src/prchunk.h 0.4.11-1/src/prchunk.h
--- 0.4.10-3/src/prchunk.h	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/prchunk.h	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** prchunk.h -- guessing line oriented data formats
  *
- * Copyright (C) 2010-2022 Sebastian Freundt
+ * Copyright (C) 2010-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
diff -pruN 0.4.10-3/src/strptime.c 0.4.11-1/src/strptime.c
--- 0.4.10-3/src/strptime.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/src/strptime.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** strptime.c -- a shell interface to strptime(3)
  *
- * Copyright (C) 2011-2022 Sebastian Freundt
+ * Copyright (C) 2011-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -54,7 +54,7 @@ const char *prog = "strptime";
 
 
 static int
-pars_line(struct tm *tm, const char *const *fmt, size_t nfmt, const char *line)
+pars_line(struct tm *tm, char *const *fmt, size_t nfmt, const char *line)
 {
 	for (size_t i = 0; i < nfmt; i++) {
 		if (fmt[i] && strptime(line, fmt[i], tm) != NULL) {
@@ -75,7 +75,7 @@ prnt_line(const char *ofmt, struct tm *t
 
 static int
 proc_line(
-	const char *ln, const char *const *fmt, size_t nfmt,
+	const char *ln, char *const *fmt, size_t nfmt,
 	const char *ofmt,
 	int quietp)
 {
@@ -94,7 +94,7 @@ proc_line(
 }
 
 static int
-proc_lines(const char *const *fmt, size_t nfmt, const char *ofmt, int quietp)
+proc_lines(char *const *fmt, size_t nfmt, const char *ofmt, int quietp)
 {
 	size_t lno = 0;
 	int rc = 0;
diff -pruN 0.4.10-3/test/Makefile.am 0.4.11-1/test/Makefile.am
--- 0.4.10-3/test/Makefile.am	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/test/Makefile.am	2024-01-25 10:05:06.000000000 +0000
@@ -1,5 +1,5 @@
 # Help the Developers and yourself. Just use the C locale and settings
-# for the compilation. They can still be overriden by make LANG=<whatever>
+# for the compilation. They can still be overridden by make LANG=<whatever>
 # but that is general a not very good idea
 include $(top_builddir)/version.mk
 
@@ -367,6 +367,7 @@ dt_tests += dtest.008.ctst
 dt_tests += dtest.009.ctst
 dt_tests += dtest.010.ctst
 dt_tests += dtest.011.ctst
+dt_tests += dtest.012.ctst
 
 dt_tests += ddiff.001.ctst
 dt_tests += ddiff.002.ctst
@@ -860,6 +861,7 @@ dt_tests += dtdiff.048.ctst
 dt_tests += dtdiff.049.ctst
 dt_tests += dtdiff.050.ctst
 dt_tests += dtdiff.051.ctst
+dt_tests += dtdiff.052.ctst
 
 dt_tests += dtround.001.ctst
 dt_tests += dtround.002.ctst
diff -pruN 0.4.10-3/test/clitosis.c 0.4.11-1/test/clitosis.c
--- 0.4.10-3/test/clitosis.c	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/test/clitosis.c	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 /*** clitosis.c -- command-line-interface tester on shell input syntax
  *
- * Copyright (C) 2013-2022 Sebastian Freundt
+ * Copyright (C) 2013-2024 Sebastian Freundt
  *
  * Author:  Sebastian Freundt <freundt@ga-group.nl>
  *
@@ -62,6 +62,9 @@
 #endif	/* HAVE_PTY_H */
 /* check for me */
 #include <wordexp.h>
+#if defined __APPLE__ && defined __MACH__
+# include <mach-o/dyld.h>
+#endif	/* __APPLE__ && __MACH__ */
 
 #if !defined LIKELY
 # define LIKELY(_x)	__builtin_expect((_x), 1)
diff -pruN 0.4.10-3/test/dtdiff.052.ctst 0.4.11-1/test/dtdiff.052.ctst
--- 0.4.10-3/test/dtdiff.052.ctst	1970-01-01 00:00:00.000000000 +0000
+++ 0.4.11-1/test/dtdiff.052.ctst	2024-01-25 10:05:06.000000000 +0000
@@ -0,0 +1,8 @@
+#!/usr/bin/clitosis  ## -*- shell-script -*-
+
+## regression case corresponding to bug/153
+$ ddiff 1988-01-30T00:00:01 1989-03-01T23:01:58 -f '%Y %m %w %d  %H %M %S'
+1 0 4 2  23 1 57
+$
+
+## dtdiff.052.ctst ends here
diff -pruN 0.4.10-3/test/dtest.010.ctst 0.4.11-1/test/dtest.010.ctst
--- 0.4.10-3/test/dtest.010.ctst	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/test/dtest.010.ctst	2024-01-25 10:05:06.000000000 +0000
@@ -3,7 +3,7 @@
 $ dtest --isvalid '2010-01-01T12:34:56'
 $ dtest --isvalid '2010-01-01'
 $ dtest --isvalid '2010-01'
-$ dtest --isvalid '2010-01-01T12:34:56' -i '%F'
+$ ! dtest --isvalid '2010-01-01T12:34:56' -i '%F'
 $ dtest --isvalid '2010-01-01X' -i '%FX'
 $ ! dtest --isvalid '2010-01-01T12:34:56X' -i '%FX'
 $ dtest --isvalid '2010-May' -i '%Y-%b'
diff -pruN 0.4.10-3/test/dtest.012.ctst 0.4.11-1/test/dtest.012.ctst
--- 0.4.10-3/test/dtest.012.ctst	1970-01-01 00:00:00.000000000 +0000
+++ 0.4.11-1/test/dtest.012.ctst	2024-01-25 10:05:06.000000000 +0000
@@ -0,0 +1,9 @@
+#!/usr/bin/clitosis  ## -*- shell-script -*-
+
+$ dtest --isvalid -i '%F' '2017-02-02'
+$ ! dtest --isvalid -i '%F' '2017-02-02T'
+$ ! dtest --isvalid -i '%F' '2022-02-27T9999:8888:7777'
+$ ! dtest --isvalid -i '%F' 'X2022-02-27T9999:8888:7777'
+$
+
+## dtest.012.ctst ends here
diff -pruN 0.4.10-3/test/dummy.tzmap 0.4.11-1/test/dummy.tzmap
--- 0.4.10-3/test/dummy.tzmap	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/test/dummy.tzmap	2024-01-25 10:05:06.000000000 +0000
@@ -1,4 +1,4 @@
 XETR	Europe/Berlin
 XFRA	Europe/Berlin
-XPAR	Europe/Paris
 XLON	Europe/London
+XPAR	Europe/Paris
diff -pruN 0.4.10-3/test/dzone.008.ctst 0.4.11-1/test/dzone.008.ctst
--- 0.4.10-3/test/dzone.008.ctst	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/test/dzone.008.ctst	2024-01-25 10:05:06.000000000 +0000
@@ -1,7 +1,7 @@
 #!/usr/bin/clitosis  ## -*- shell-script -*-
 
-$ dzone --prev Asia/Singapore 2014-02-22
-1982-01-01T00:00:00+07:30 <- 1982-01-01T00:30:00+08:00	Asia/Singapore
+$ dzone --prev Asia/Jakarta
+1964-01-01T00:00:00+07:30 <- 1963-12-31T23:30:00+07:00	Asia/Jakarta
 $
 
 ## dzone.008.ctst ends here
diff -pruN 0.4.10-3/test/tzmap.003.ctst 0.4.11-1/test/tzmap.003.ctst
--- 0.4.10-3/test/tzmap.003.ctst	2022-05-25 11:57:07.000000000 +0000
+++ 0.4.11-1/test/tzmap.003.ctst	2024-01-25 10:05:06.000000000 +0000
@@ -1,6 +1,6 @@
 #!/usr/bin/clitosis  ## -*- shell-script -*-
 
-$ dzone dummy:XETR --from-zone dummy:XLON 2012-03-04T12:04:11
+$ TZMAP_DIR=. dzone dummy:XETR --from-zone dummy:XLON 2012-03-04T12:04:11
 2012-03-04T13:04:11+01:00	dummy:XETR
 $
 
